Subject: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: João Távora <[email-masked]>
Date: Sat, 8 Apr 2023 11:48:45 +0100

On Sat, Apr 8, 2023 at 11:43 AM Philip Kaludercic <[email-masked]> wrote:
>
> Stefan Monnier <[email-masked]> writes:
>
> >> It's not impossible to upgrade in Emacs 29, of course.  The only way I
> >> know is to M-x package-list-packages, find Eglot 1.14 in the list, mark
> >> it with 'i' and confirm installation with 'x'.  But it is very awkward.
> >
> > Maybe we should add a `package-upgrade` command?
>
> Just for :core packages or how would this differ from package-update?

Just a note that I forgot M-x package-update existed.  I was
hoping it wouldn't suffer the same bug as package-install, but
alas it does.

João